| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Private Member Functions | Static Private Member Functions | List of all members
visBase::GridLines Class Reference
visBase

`#include <visgridlines.h>`

Inheritance diagram for visBase::GridLines:
[legend]

## Public Member Functions
void | adjustGridCS ()
bool | areCrosslinesShown () const
bool | areInlinesShown () const
bool | areZlinesShown () const
const char * | getClassName () const override
const TrcKeyZSampling & | getGridTrcKeyZSampling ()
void | getLineStyle (OD::LineStyle &) const
const TrcKeyZSampling & | getPlaneTrcKeyZSampling ()
void | setDisplayTransformation (const visBase::Transformation *) override
void | setGridTrcKeyZSampling (const TrcKeyZSampling &)
void | setLineStyle (const OD::LineStyle &)
void | setPixelDensity (float) override
void | setPlaneTrcKeyZSampling (const TrcKeyZSampling &)
void | showCrosslines (bool)
void | showInlines (bool)
void | showZlines (bool)
Public Member Functions inherited from visBase::VisualObjectImpl
virtual void | fillPar (IOPar &) const
const Material * | getMaterial () const
Material * | getMaterial () override
bool | isRightHandSystem () const override
NotifierAccess * | materialChange ()
void | readLock ()
void | readUnLock ()
void | setLockable ()
void | setMaterial (Material *) override
void | setRightHandSystem (bool yn) override
bool | tryReadLock ()
bool | tryWriteLock ()
virtual bool | usePar (const IOPar &)
void | writeLock ()
void | writeUnLock ()
Public Member Functions inherited from visBase::VisualObject
NotifierAccess * | deSelection () override
virtual bool | getBoundingBox (Coord3 &min, Coord3 &max) const
NotifierAccess * | rightClicked () override
const EventInfo * | rightClickedEventInfo () const
const TypeSet< VisID > * | rightClickedPath () const override
bool | selectable () const override
NotifierAccess * | selection () override
virtual void | setSceneEventCatcher (EventCatcher *)
void | setSelectable (bool yn)
Public Member Functions inherited from visBase::DataObject
template<class T >
T * | addNodeState (T *ns)
void | deSelect () const
void | enableTraversal (unsigned int mask, bool yn=true)
virtual const char * | errMsg () const
virtual const visBase::Transformation * | getDisplayTransformation () const
SoNode * | getInventorNode ()
const SoNode * | getInventorNode () const
BufferString | getName () const override
NodeState * | getNodeState (int idx)
virtual float | getPixelDensity () const
VisID | id () const
virtual bool | isOK () const
virtual bool | isOn () const
bool | isPickable (bool actively=true) const
virtual bool | isSelected () const
bool | isTraversalEnabled (unsigned int mask) const
const OD::String & | name () const override
osg::Node * | osgNode (bool skipswitch=false)
const osg::Node * | osgNode (bool skipswitch=false) const
NodeState * | removeNodeState (NodeState *)
virtual bool | rightClickable () const
void | select () const
bool | serialize (const char *filename, bool binary=false)
void | setID (const VisID &)
void | setName (const char *) override
void | setName (const uiString &uistr)
void | setPickable (bool actively, bool passively=true)
void | setUiName (const uiString &)
virtual bool | turnOn (bool yn)
uiString | uiName () const
void | updateSel () const
Public Member Functions inherited from SharedObject
| SharedObject (const char *nm=nullptr)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Static Public Member Functions
static RefMan< GridLines > | create ()
static const char * | getStaticClassName ()
static void | initClass ()
static const char * | sFactoryKeyword ()
Static Public Member Functions inherited from visBase::VisualObjectImpl
static const char * | sKeyIsOn ()
static const char * | sKeyMaterial ()
static const char * | sKeyMaterialID ()
Static Public Member Functions inherited from visBase::DataObject
static osgViewer::CompositeViewer * | getCommonViewer ()
static float | getDefaultPixelDensity ()
static VisID | getID (const osg::Node *)
static bool | isVisualizationThread ()
static void | requestSingleRedraw ()
static void | setCommonViewer (osgViewer::CompositeViewer *)
static void | setDefaultPixelDensity (float)
static void | setVisualizationThread (const void *)
| Call only once from initialization.
Static Public Member Functions inherited from SharedObject
static Notifier< SharedObject > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Protected Member Functions
| ~GridLines ()
void | addLine (PolyLine &, const Coord3 &start, const Coord3 &stop)
RefMan< PolyLine > | addLineSet ()
void | drawCrosslines ()
void | drawInlines ()
void | drawZlines ()
void | emptyLineSet (PolyLine *)
Protected Member Functions inherited from visBase::VisualObjectImpl
| VisualObjectImpl (bool selectable)
virtual | ~VisualObjectImpl ()
int | addChild (osg::Node *)
int | childIndex (const osg::Node *) const
void | insertChild (int pos, osg::Node *)
virtual void | materialChangeCB (CallBacker *)
void | removeChild (osg::Node *)
void | setGroupNode (DataObject *)
virtual void | setGroupNode (osg::Group *)
| Must be called during construction.
Protected Member Functions inherited from visBase::VisualObject
| VisualObject (bool selectable=false)
| ~VisualObject ()
void | triggerDeSel () override
void | triggerRightClick (const EventInfo *) override
void | triggerSel () override
Protected Member Functions inherited from visBase::DataObject
| DataObject ()
| ~DataObject ()
void | doAddNodeState (NodeState *)
virtual osg::StateSet * | getStateSet ()
template<class T >
T * | setOsgNode (T *t)
| Must be called during construction.
void | updateNodemask ()
Protected Member Functions inherited from SharedObject
| ~SharedObject ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Static Protected Member Functions
static const char * | sKeyCrlShown ()
static const char * | sKeyInlShown ()
static const char * | sKeyLineStyle ()
static const char * | sKeyZShown ()

## Protected Attributes
RefMan< PolyLine > | crosslines_
bool | cscrlchanged_ = false
bool | csinlchanged_ = false
bool | cszchanged_ = false
RefMan< DrawStyle > | drawstyle_
TrcKeyZSampling | gridcs_
RefMan< PolyLine > | inlines_
RefMan< Material > | linematerial_
TrcKeyZSampling | planecs_
RefObjectSet< PolyLine > | polylineset_
ConstRefMan< visBase::Transformation > | transformation_
RefMan< PolyLine > | trcnrlines_
RefMan< PolyLine > | zlines_
Protected Attributes inherited from visBase::VisualObjectImpl
RefMan< Material > | material_
bool | righthandsystem_ = true
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Private Member Functions
| GridLines ()
| mOD_DisableCopy (GridLines)

## Static Private Member Functions
static visBase::DataObject * | createInternal ()

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ GridLines()

visBase::GridLines::GridLines | ( |  | ) |
| private

## ◆ ~GridLines()

visBase::GridLines::~GridLines | ( |  | ) |
| protected

## Member Function Documentation

## ◆ addLine()

void visBase::GridLines::addLine | ( | PolyLine & | ,
|  | const Coord3 & | start,
|  | const Coord3 & | stop )
| protected

## ◆ addLineSet()

RefMan< PolyLine > visBase::GridLines::addLineSet | ( |  | ) |
| protected

## ◆ adjustGridCS()

void visBase::GridLines::adjustGridCS | ( |  | ) |

## ◆ areCrosslinesShown()

bool visBase::GridLines::areCrosslinesShown | ( |  | ) | const

## ◆ areInlinesShown()

bool visBase::GridLines::areInlinesShown | ( |  | ) | const

## ◆ areZlinesShown()

bool visBase::GridLines::areZlinesShown | ( |  | ) | const

## ◆ create()

static RefMan< GridLines > visBase::GridLines::create | ( |  | ) |
| static

## ◆ createInternal()

static visBase::DataObject * visBase::GridLines::createInternal | ( |  | ) |
| inline static private

## ◆ drawCrosslines()

void visBase::GridLines::drawCrosslines | ( |  | ) |
| protected

## ◆ drawInlines()

void visBase::GridLines::drawInlines | ( |  | ) |
| protected

## ◆ drawZlines()

void visBase::GridLines::drawZlines | ( |  | ) |
| protected

## ◆ emptyLineSet()

void visBase::GridLines::emptyLineSet | ( | PolyLine * |  | ) |
| protected

## ◆ getClassName()

const char * visBase::GridLines::getClassName | ( |  | ) | const
| override virtual

Reimplemented from visBase::DataObject.

## ◆ getGridTrcKeyZSampling()

const TrcKeyZSampling & visBase::GridLines::getGridTrcKeyZSampling | ( |  | ) |
| inline

## ◆ getLineStyle()

void visBase::GridLines::getLineStyle | ( | OD::LineStyle & |  | ) | const

## ◆ getPlaneTrcKeyZSampling()

const TrcKeyZSampling & visBase::GridLines::getPlaneTrcKeyZSampling | ( |  | ) |
| inline

## ◆ getStaticClassName()

static const char * visBase::GridLines::getStaticClassName | ( |  | ) |
| static

## ◆ initClass()

static void visBase::GridLines::initClass | ( |  | ) |
| static

## ◆ mOD_DisableCopy()

visBase::GridLines::mOD_DisableCopy | ( | GridLines |  | ) |
| private

## ◆ setDisplayTransformation()

void visBase::GridLines::setDisplayTransformation | ( | const visBase::Transformation * |  | ) |
| override virtual

All positions going from the outside world to the vis should be transformed with this transform. This enables us to have different coord-systems outside OI, e.g. we can use UTM coords outside the vis without loosing precision in the vis.

Reimplemented from visBase::DataObject.

## ◆ setGridTrcKeyZSampling()

void visBase::GridLines::setGridTrcKeyZSampling | ( | const TrcKeyZSampling & |  | ) |

## ◆ setLineStyle()

void visBase::GridLines::setLineStyle | ( | const OD::LineStyle & |  | ) |

## ◆ setPixelDensity()

void visBase::GridLines::setPixelDensity | ( | float |  | ) |
| override virtual

Reimplemented from visBase::DataObject.

## ◆ setPlaneTrcKeyZSampling()

void visBase::GridLines::setPlaneTrcKeyZSampling | ( | const TrcKeyZSampling & |  | ) |

## ◆ sFactoryKeyword()

static const char * visBase::GridLines::sFactoryKeyword | ( |  | ) |
| static

## ◆ showCrosslines()

void visBase::GridLines::showCrosslines | ( | bool |  | ) |

## ◆ showInlines()

void visBase::GridLines::showInlines | ( | bool |  | ) |

## ◆ showZlines()

void visBase::GridLines::showZlines | ( | bool |  | ) |

## ◆ sKeyCrlShown()

static const char * visBase::GridLines::sKeyCrlShown | ( |  | ) |
| static protected

## ◆ sKeyInlShown()

static const char * visBase::GridLines::sKeyInlShown | ( |  | ) |
| static protected

## ◆ sKeyLineStyle()

static const char * visBase::GridLines::sKeyLineStyle | ( |  | ) |
| static protected

## ◆ sKeyZShown()

static const char * visBase::GridLines::sKeyZShown | ( |  | ) |
| static protected

## Member Data Documentation

## ◆ crosslines_

RefMan<PolyLine> visBase::GridLines::crosslines_
| protected

## ◆ cscrlchanged_

bool visBase::GridLines::cscrlchanged_ = false
| protected

## ◆ csinlchanged_

bool visBase::GridLines::csinlchanged_ = false
| protected

## ◆ cszchanged_

bool visBase::GridLines::cszchanged_ = false
| protected

## ◆ drawstyle_

RefMan<DrawStyle> visBase::GridLines::drawstyle_
| protected

## ◆ gridcs_

TrcKeyZSampling visBase::GridLines::gridcs_
| protected

## ◆ inlines_

RefMan<PolyLine> visBase::GridLines::inlines_
| protected

## ◆ linematerial_

RefMan<Material> visBase::GridLines::linematerial_
| protected

## ◆ planecs_

TrcKeyZSampling visBase::GridLines::planecs_
| protected

## ◆ polylineset_

RefObjectSet<PolyLine> visBase::GridLines::polylineset_
| protected

## ◆ transformation_

ConstRefMan< visBase::Transformation > visBase::GridLines::transformation_
| protected

## ◆ trcnrlines_

RefMan<PolyLine> visBase::GridLines::trcnrlines_
| protected

## ◆ zlines_

RefMan<PolyLine> visBase::GridLines::zlines_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025